---
sidebarDepth: 2
---

# Страница «О приложении»
Страница **О приложении** состоит из 11 (одиннадцати) вкладок. В основном она описывает почти каждый бит информации, которую может иметь приложение, включая все атрибуты из манифеста приложения, разрешения, [операции приложения][1], информация о подписи и т. д.

::: details Таблица содержания
[[toc]]
:::

## Цветовые коды
Список фоновых цветов, используемых на этой странице, и их значение:
- <code style="background-color: #FF0000; color: #000">Красный (светлая тема)</code> или <code style="background-color: #790D0D; color: #FFF">темно-красный (темная тема)</code> - любая операция или разрешение приложения с пометкой «Опасно» помечается красным. Компоненты, заблокированные в App Manager, также помечаются красным.
- <code style="background-color: #FF8A80; color: #000">Светло-красный (светлая тема)</code> или <code style="background-color: #4F1C14; color: #FFF">очень темно-красный (темная тема)</code> - компоненты, отключенные вне App Manager, имеют эти цвета. Следует отметить, что компонент, отмеченный как отключенный, не всегда означает, что он отключен пользователем: он также может быть отключен системой или отмечен как отключенный в манифесте приложения. Кроме того, все компоненты отключенного приложения считаются отключенными системой (а также с помощью App Manager)
- <code style="background-color: #FF8017; color: #000">Ярко-оранжевый (светлая тема)</code> или <code style="background-color: #FF8017; color: #FFF">очень темно-оранжевый (темная тема)</code> - компоненты трекера или рекламы
- <code style="background-color: #EA80FC; color: #000">Мягкий пурпурный (светлая тема)</code> или <code style="background-color: #431C5D; color: #FFF">очень темно-фиолетовый (темная тема)</code> - в настоящее время работающие службы

## Вкладка «О приложении»
Вкладка **О приложении** содержит общую информацию о приложении. Здесь также перечислены многие действия, которые можно выполнить в этой вкладке. Полное описание приведено ниже:

### Общая информация
Список ниже находится в том же порядке, что и во вкладке «О приложении».
- **Значок приложения.** Значок приложения, если приложение не имеет значка, отображается значок системы по умолчанию.
- **Метка приложения.** Метка приложения или название приложения.
- **Версия.** Версия приложения разделена на две части. Первая часть называется _название версии_, формат этой части варьируется, но часто он состоит из нескольких целых чисел, разделенных точками. Вторая часть называется _код версии_ и он закрыт первыми скобками. Код версии – это целое число, которое обычно используется для различения версий приложения (поскольку имя версии часто может быть нечитаемым компьютером). Как правило, новая версия приложения имеет более высокий код версии, чем старая. Например, если `123` и `125` – это два кода версии приложения, мы можем сказать, что последний новый, чем первый, потому что код версии последнего выше. Для приложений, зависящих от платформ (мобильные устройства, вкладки, настольные компьютеры и т. д.), эти номера версий могут вводить в заблуждение, поскольку они используют префиксы для каждой платформы.
- **Теги (также известные как облака тегов).** Теги включают в себя основную, краткую и наиболее полезную информацию о приложении. Теги содержат следующую информацию: _информация о трекерах_ (т.е. количество трекеров), _тип приложения_ (пользовательское приложение или системное приложение, а также то, является ли приложение обновленной версией системного приложения), _информация о разделенном APK_ (т.е. количество частей), _отладка_ (является ли приложение отладочной версией), _только тест_ (является ли приложение тестовым), _большая куча_ (запрашивает ли приложение большой размер кучи), _остановлено_ (остановлено ли приложение), _отключено_ (отключено ли приложение) и _нет кода_ (содержит ли приложение код, связанный с ним). Важным для включения тегов _только тест_ и _отладка_ является то, может ли приложение с этими свойствами выполнять дополнительные задачи или эти приложения могут быть запущены `run-as` без root, что может вызвать потенциальные проблемы с безопасностью, если эти приложения хранят какую-либо личную информацию. _Большая куча_ означает, что приложению при необходимости будет выделен больший объем памяти (ОЗУ). Хотя это может не нанести вреда для большинства случаев, подозрительные приложения, запрашивающие большие кучи, должны восприниматься серьезно.
- **Горизонтальная панель действий.** Это панель действий, содержащая различные действия в отношении приложения. Смотрите [ниже](#горизонтаnьная-панеnь-действий) полный список доступных действий.
- **Пути и директории.** Содержит различную информацию о путях приложений, включая _директорию приложения_ (где хранятся файлы APK), _директорию данных_ (внутренние, защищенные устройством и внешние), _директорию разделенного APK_ (вместе с именами частей), и _нативную библиотеку JNI_ (если есть). Библиотеки JNI используются для вызова собственных кодов, обычно написанных на языке C/C ++. Использование собственной библиотеки может ускорить работу приложения или помочь приложению использовать сторонние библиотеки, написанные на языках, отличных от Java, как в большинстве игр. Вы также можете открывать эти каталоги с помощью ваших файловых менеджеров (при условии, что они их поддерживают и имеют необходимые разрешения), нажав на значок запуска с правой стороны каждого элемента.
- **Использование данных с момента последнего включения устройства.** Опция, которая не требует пояснений. Но имейте в виду, что из-за некоторых проблем результаты часто могут вводить в заблуждение и быть просто неверными. Эта часть остается скрытой, если не предоставить разрешение _Доступ к использованию_ на новых устройствах.
- **Хранилище и кэш.** Отображает информацию о размере приложения (файлы APK), данных и кэша. В старых устройствах также отображается размер папок с внешними данными, кэшем, медиа и obb. Эта часть остается скрытой, если не представить разрешение _Доступ к использованию_ на новых устройствах.
- **Подробнее.** Отображает прочую информацию, такую как
  * **SDK.** Отображает информацию, относящуюся к Android SDK. Есть два значения: _максимальная_, обозначающую целевую версию SDK и _минимальная_, обозначающую минимальную версию SDK (последнее значение недоступно на старых устройствах). Лучше всего использовать приложения с максимальным набором SDK, которых в настоящее время поддерживает платформа. SDK также известен как **уровень API**. _Смотрите также: [история версий Android][wiki_android_versions]_
  * **Флаги.** Флаги приложения используются во время создания приложения. Чтобы увидеть полный список флагов и их назначение, ознакомьтесь с [официальной документацией][app_flags].
  * **Дата установки.** Дата, когда приложение было впервые установлено.
  * **Дата обновления.** Дата, когда приложение было последний раз обновлено. Это то же самое, что и _дата установки_, если приложение не обновлялось.
  * **Установщик приложения.** Приложение, установившее приложение. Не все приложения предоставляют информацию, используемую диспетчером пакетов для регистрации приложения-установщика. Следовательно, это значение не следует воспринимать как должное.
  * **Идентификатор пользователя.** Уникальный идентификатор пользователя, установленный системой Android для приложения. Для общих приложений один и тот же идентификатор пользователя назначается нескольким приложениям, которые имеют одинаковый _общий идентификатор пользователя_.
  * **Общий идентификатор пользователя.** Применим для приложений, которые используются вместе. Хотя и написано, что это идентификатор, на самом деле это строковое значение. Общее приложение должно иметь такие же [подписи](#вкnадка-«подписи»).
  * **Главное активити.** Основная точка входа в приложение. Оно видно, только если в приложении есть [активити](#активити) и любое из них можно открыть в лончере. Также есть кнопка запуска с правой стороны, которую можно использовать для запуска этого активити.

### Горизонтальная панель действий
Горизонтальная панель действий, как описано в предыдущем разделе, состоит из различных действий, связанных с приложением, таких как —
- **Запуск.** Приложение с [активити](#активити), поддерживающего запуск, можно запустить с помощью этой кнопки.
- **Отключить.** Отключение приложения. Эта кнопка не отображается для уже отключенных приложений или для пользователей, у которых нет root-прав или [ADB][2]. Если вы отключите приложение, оно не будет отображаться в вашем лончере. Ярлыки приложения также будут удалены. Если вы отключите пользовательское приложение, вы можете включить их только через App Manager или любой другой инструмент, который его поддерживает. В настройках Android нет возможности включить отключенное пользовательское приложение.
- **Удалить.** Удаление приложения.
- **Включить.** Включение приложение. Эта кнопка не отображается для уже включенных приложений или для пользователей, у которых нет root-прав или [ADB][2].
- **Принудительное закрытие.** Принудительное закрытие приложения. Если вы принудительно остановите приложение, оно не будет работать в фоновом режиме, до того, как вы не откроете его повторно. Однако это не всегда так.
- **Очистка данных.** Очистка данных приложения. В число данных приложения входит любая информация, хранящаяся во внутреннем и внешнем каталоге, включая учетные записи (если они настроены в приложении), кэш и т. д. Например, при очистке данных из App Manager удаляются все правила (однако блокировка не отключается), сохраненные в приложении. Вот почему вы всегда должны делать резервные копии своих правил. Эта кнопка не отображается для пользователей, у которых нет root-прав или [ADB][2].
- **Очистка кэша.** Исключительно очистка кэша приложения. В настройках Android нет возможности очистить кэш приложения. Следовательно, для очистки кэша из внутренней памяти приложения требуется разрешение root-доступа.
- **Установка.** Установка APK, открытого с помощью любого стороннего приложения. Эта кнопка отображается только для внешних файлов APK, которые еще не были установлены.
- **Что нового.** Эта кнопка отображается для файла APK с более высоким кодом версии, чем установленный. При нажатии на эту кнопку отображается диалоговое окно с описанием различий в способах управления версиями. Информация, которую он отображает, включает в себя: _версия_, _трекеры_, _разрешения_, _компоненты_, _подписи_ (изменения контрольной суммы), _функциии_, _общие библиотеки_ и _SDK_.
- **Обновление.** Отображается для файлов APK с более высоким кодом версии, чем установленная.
- **Манифест.** При нажатии на эту показывается манифест файла приложения на отдельной странице. Файл манифеста можно свернуть или развернуть с помощью соответствующей кнопки-переключателя (в правом верхнем углу) или сохранить в общем хранилище с помощью кнопки сохранения.
- **εxodus.** При нажатии на эту кнопку показывается информация о трекерах приложения. Сначала он сканирует приложение, чтобы извлечь список классов. Затем список классов сопоставляется с числом подписей трекинга. После этого сводка сканирования отображается в диалоговом окне предупреждения. Если вы случайно закроете это диалоговое окно, вы сможете снова его открыть, используя соответствующую опцию в меню. Если в приложении есть классы трекеров, они будут отображаться в виде списка на этой странице. _Смотрите также: [страница εxodus][exodus_page]_
- **Общие настройки.** При нажатии на эту кнопку отображается список общих настроек, используемых приложением. При нажатии на элемент настройки в списке открывается [страница редактора общих настроек][3]. Эта опция видна только пользователям с root-доступом.
- **Базы данных.** При нажатии на эту кнопку отображается список баз данных, используемых приложением. Это требует дополнительных улучшений и редактора базы данных, который может быть добавлен в будущем. Эта опция видна только пользователям с root-доступом.
- **Aurora.** Открывает приложение в _Aurora Droid_. Опция видна, только если установлено приложение _Aurora Droid_.
- **F-Droid.** Открывает приложение в _F-Droid_. Эта опция видна, только если установлено приложение _F-Droid_, а _Aurora Droid_ – нет.
- **Store.** Открывает приложение в _Aurora Store_. Опция видна, только если установлено приложение _Aurora Store_.


### Меню опций
Меню опций находится в правом верхнем углу страницы. Полное описание имеющихся опций приведено ниже:
- **Поделиться.** Кнопка «Поделиться» может использоваться, чтобы поделиться файлом APK или _APKS_, (если приложение имеет несколько частей) который можно импортировать в [SAI][sai]. Вы можете поделиться им с помощью вашего любимого файлового менеджера, чтобы сохранить файл в общем хранилище.
- **Обновить.** Обновляет вкладку «О приложении».
- **Посмотреть в настройках.** Открывает приложение в настройках Android.
- **Резервное копирование/восстановление.** Открывает диалоговое окно резервного копирования/восстановления.
- **Экспорт правил блокировки.** Экспортирует правила, настроенные для этого приложения с помощью App Manager.
- **Открыть в Termux.** Открывает приложение в Termux. Это действительно запускает `su - user_id`, где `user_id` обозначает идентификатор пользователя ядра приложения (описанный в разделе [«Общая информация»](#общая-информация)). Эта опция видна только root-пользователям. Просмотрите раздел [Termux](#termux) ниже, чтобы узнать, как настроить Termux для запуска команд из сторонних приложений.
- **Запустить в Termux.** Открывает приложение, используя команду `run-as package_name` в Termux. Это применимо только для отлаживаемых приложений и также работает для пользователей без root-прав. Просмотрите раздел [Termux](#termux) ниже, чтобы узнать, как настроить Termux для запуска команд из сторонних приложений.
- **Извлечь значок.** Извлечение и сохранение значка приложения в желаемом месте.

### Termux
По умолчанию Termux не позволяет запускать команды из сторонних приложений. Чтобы включить эту опцию, вам нужно добавить `allow-external-apps=true` в <tt>~/.termux/termux.properties</tt> и убедиться, что вы используете Termux версии 0.96 или новее.

::: tip Подсказка
Включение этой опции не ослабляет безопасность вашего Termux. Сторонние приложения по-прежнему должны запрашивать у пользователя разрешение на запуск произвольных команд в Termux, как и любые другие опасные разрешения.
:::

## Вкладка «Компоненты»
**Активити**, **Службы**, **Приемники** (изначально _радиовещательные приемники_) и **Поставщики** (изначально _поставщики контента_) вместе называются компонентами приложения. Это потому, что у них есть много общих черт. Например, у всех есть _имя_ и _метка_. Компоненты приложения являются строительными блоками любого приложения, и большинство из них должны быть объявлены в манифесте приложения. Манифест приложения – это файл, в котором хранятся метаданные приложения. Операционная система Android узнает, что делать с приложением, читая метаданные. [Цвета](#цветовые-коды) используемые в этих вкладках объяснены выше.

::: details Таблица содержания
- [Активити](#активити)
- [Службы](#службы)
- [Приемники](#приемники)
- [Поставщики](#поставщики)
- [Дополнительные функции для телефонов с root-доступом](#допоnнитеnьные-функции-дnя-теnефонов-с-root-доступом)
:::

### Активити
**Активити** – это окна или страницы, которые вы можете просматривать (например, _главная страница_ и _страница «Сведения о приложении»_ – это два отдельных активити). Другими словами, действие - это компонент пользовательского интерфейса (UI). Каждое активити может иметь несколько компонентов пользовательского интерфейса, известных как _виджеты_ или _фрагменты_, и аналогично, каждый из этих последних компонентов может иметь несколько вложенных или расположенных друг над другом компонентов. Но активити – это компонент _мастера_: не может быть двух вложенных активити. Автор приложения также может открывать внешние файлы в рамках активити, используя метод, называемый _фильтры намерений_. Когда вы пытаетесь открыть файл с помощью файлового менеджера, ваш файловый менеджер или система просматривает фильтры намерений, чтобы решить, какие активити могут открыть этот конкретный файл и предлагает вам открыть файл с этими активити (следовательно, это не имеет отношения к самому приложению). Есть и другие фильтры намерений.

_Экспортируемые_ активити обычно могут открываться любыми сторонними приложениями (для некоторых активити требуются разрешения, в таком случае их может открыть только приложение, имеющее эти разрешения). Во вкладке _«Активити»_, имя активити (вверху каждого элемента списка) на самом деле является кнопкой. Это включено для _экспортируемых_ активити aи отключено для других. Вы можете использовать это, чтобы открыть активити напрямую с помощью App Manager.

::: warning Предупреждение
Если вы не можете открыть какое-либо активити, скорее всего, у него есть определенные зависимости, которые не выполняются, например, вы не можете открыть активити _«Сведения о приложении»_ потому что для этого требуется, по крайней мере, указать имя пакета. Эти зависимости не всегда можно вывести программно. Следовательно, вы не можете открыть их с помощью App Manager.
:::

Вы также можете создать ярлык для этих _экспортируемых_ активити (используя специальную кнопку), и при желании вы также можете редактировать ярлык, используя кнопку _«Изменить ярлык»_.

::: danger Предупреждение
Если вы удалите App Manager, ярлыки, созданные App Manager, будут потеряны.
:::

### Службы
В отличии от [активити](#активити), которых видят пользователи, **службы** обрабатывают фоновые задачи. Если вы, к примеру, загружаете видео из интернета с помощью интернет-браузера своего телефона, браузер использует фоновую службу для загрузки контента.

Когда вы закрываете активити, оно обычно закрывается моментально (в зависимости от многих факторов, таких как объем свободной памяти вашего телефона). Но при желании службы могут работать неопределенный период. Если в фоновом режиме работает больше сервисов, ваш телефон будет работать медленнее из-за нехватки памяти и/или вычислительной мощности, а аккумулятор вашего телефона может разряжаться быстрее. В более новых версиях Android по умолчанию включена функция оптимизации заряда батареи для всех приложений. Если эта функция включена, система может случайным образом прекратить работу любой службы.

Кстати, и активити, и службы выполняются в одном и том же лупере, который называется основным [лупером][looper], что означает, что службы на самом деле не работают в фоновом режиме. Авторы приложения работают над исправлением этого. Как приложение взаимодействует со службами? Они используют [радиовещательные приемники](#приемники).

### Приемники
**Приемники** (также известные как _радиовещательные приемники_) может использоваться для переключения выполнения определенных задач при определенных событиях. Эти компоненты называются широковещательными приемниками, потому что они выполняются сразу после получения широковещательного сообщения. Эти широковещательные сообщения отправляются с использованием метода, называемого намерением. Намерение – это специальная функция Android, которую можно использовать для открытия приложений, активити, служб и отправки широковещательных сообщений. Поэтому, так же, как и [активити](#активити), широковещательные приемники используют фильтры намерений, чтобы получать только желаемые широковещательное сообщения. Широковещательные сообщения могут быть отправлены системой или самим приложением. Когда отправляется широковещательное сообщение, соответствующие приемники активируются системой, чтобы они могли выполнять задачи. Например, если у вас мало памяти, ваш телефон может тормозить или зависать на мгновение после того, как вы включите мобильные данные или подключитесь к Wi-Fi. Вы когда-нибудь задумывались, почему? Это потому, что широковещательные приемники, которые могут принимать `android.net.conn.CONNECTIVITY_CHANGE` просыпаются системой, как только вы включаете передачу данных. Поскольку многие приложения используют этот фильтр намерений, все эти приложения почти сразу же пробуждаются системой, что приводит к зависанию или задержкам. При этом приемники могут использоваться для межпроцессного взаимодействия (IPC), т.е. они помогают вам общаться между разными приложениями (при условии, что у вас есть необходимые разрешения) или даже между различными компонентами одного приложения.

### Поставщики
**Поставщики** (также известные как _поставщики контента_) используются для управления данными. Например, когда вы сохраняете файл APK или правила экспорта в App Manager, оно использует поставщика контента с именем `androidx.core.content.FileProvider` для сохранения файла APK или экспорта правил. Существуют другие поставщики контента или даже специализированные для управления различными задачами, связанными с контентом, такими как управление базами данных, отслеживание, поиск и т. д. У каждого поставщика контента есть поле под названием _«Права»_, которое уникально для этого конкретного приложения во всей экосистеме Android, как и имя пакета.

### Дополнительные функции для телефонов с root-доступом
В отличие от пользователей без root-прав, которые просто наблюдают за этими вкладками, пользователи с root-правами могут выполнять различные операции. В правой части каждого элемента компонента есть значок «заблокировать» (который становится значком «разблокировать/восстановить», когда компонент блокируется). Этот значок можно использовать для переключения статуса блокировки этого конкретного компонента. Если у вас не включена [глобальная блокировка компонент][settings_gcb] или вы ранее не применяли блокировку для приложений, необходимо применить изменения с помощью опции **«Применить правила»** в правом верхнем меню. Вы также можете удалить уже примененные правила, используя ту же опцию (которая в этот раз будет читаться как **«Удалить правила»**). У вас также есть возможность отсортировать список компонентов для отображения заблокированных компонентов или компонентов отслеживания в верхней части списка с помощью опции **«Сортировка»** в том же меню. Вы также можете отключить все компоненты рекламы и трекеров, используя опцию **«Заблокировать трекер»** в меню.

_Смотрите также:_
- _[Страница εxodus](./exodus-page.md)_
- _[FAQ: компоненты приложения][faq_ac]_

## Вкладки разрешений
Вкладки **Операции приложения**, **Используемые разрешения** и **Разрешения** связаны с разрешениями. В Android-взаимодействии между приложениями или процессами, которые не имеют одинаковой идентичности (известный как _общий идентификатор_) часто требуются разрешения. Эти разрешения управляются диспетчером разрешений. Некоторые разрешения считаются _обычными_, которые предоставляются автоматически, если они появляются в манифесте приложения, но _опссные_ разрешения и разрешения _для разработчиков_ требуют подтверждения от пользователя. [Цвета](#цветовые-коды) используемые в этих вкладках объяснены выше.

::: details Таблица содержания
- [Операции приложения](#операции-приложений)
- [Используемые разрешения](#используемые-разрешения)
- [Разрешения](#разрешения)
:::

### Операции приложения
**Операции приложения**, также известные как **App Ops**. Начиная с Android 4.3, _операции приложений_ используются системой Android для управления большинством разрешений приложений. Каждой операции приложения присваивается уникальный номер, который заключен в первые скобки на вкладке «Операции приложения». У них также есть частное и, иногда, публичное имя. Некоторые операции приложений также связаны с _разрешениями_. Опасность операции приложения определяется на основе соответствующего разрешения и другой информации, такой как _флаги_, _имя разрешения_, _описание разрешения_, _имя пакета_, _группа_ взятой из связанных [разрешений](#разрешения). Другая информация может включать следующее:
- **Режим.** Он описывает текущий статус авторизации, значение которого может быть _разрешить_, _отклонить_ (если точнее, это просто означает ошибку), _игнорировать_ (на самом деле означает отклонить), _по умолчанию_ (выводится из списка значений по умолчанию, установленных внутри оболочки устройства), _при использовании приложения_ (в более новых устройствах Android это означает, что операция приложения может использоваться только тогда, когда приложение работает на переднем плане), и некоторые пользовательские режимы, установленные оболочками (MIUI использует _спросить_ и другие режимы только с числами без каких-либо связанных имен).
- **Длительность.** Количество времени, в течение которого эта операция приложения использовалась (могут быть отрицательные длительности, варианты использования которых в настоящее время мне неизвестны).
- **Время подтверждения.** Последний раз, когда операция приложения была подтверждена.
- **Время отклонения.** Последний раз, когда операция приложения было отклонена.

::: tip Информация
Содержимое этой вкладки видно только пользователям root и [ADB][2].
:::

Рядом с каждым элементом операции приложения есть кнопка-переключатель, с помощью которой можно разрешить или запретить (игнорировать) операцию приложения. Вы также можете сбросить свои изменения, используя опцию _«Сброс по умолчанию»_ или запретить все операции с опасными приложениями, используя соответствующую опцию в меню. Вы также можете отсортировать их в возрастающем порядке по именам операций приложения и связанным с ними уникальным номерам (или значениям). Вы также можете сначала вывести список запрещенных операций приложения, используя соответствующий параметр сортировки.

::: warning Предупреждение
Отказ в операции приложения может привести к неправильному поведению приложения. В этом случае используйте опцию _«Сброс по умолчанию»_.
:::

_Смотрите также: [Техническая информация: операции приложений][1]_

### Используемые разрешения
**Используемые разрешения** – разрешения, используемые приложением. Этот раздел назван так, потому что они объявлены в манифесте с использованием тегов `uses-permission`. Информация, такая как _флаги_, _имя разрешения_, _описание разрешения_, _имя пакета_, _группа_ взяты из связанных [разрешений](#разрешения).

Пользователи **Root [ADB][2]** могут предоставлять или отзывать _опасные_ разрешения или разрешения _для разработчиков_, используя переключатель справа от каждого элемента разрешения. Они также могут сразу отозвать опасные разрешения, используя соответствующую опцию в меню. Только эти два типа разрешений можно отозвать, поскольку Android не позволяет изменять _обычные_ (большинство из них). Единственная альтернатива – отредактировать манифест приложения и удалить оттуда эти разрешения.

::: tip Информация
Поскольку по умолчанию опасные разрешения отзываются системой, отзыв всех опасных разрешений аналогична сбросу всех разрешений.
:::

Пользователи могут отсортировать разрешения по имени разрешения (в порядке возрастания) или выбрать сначала отображение отклоненных или опасных разрешений с помощью соответствующих параметров в меню.

### Разрешения
**Разрешения** обычно являются настраиваемыми разрешениями, определяемыми самим приложением. Он также может содержать обычные разрешения, в основном в старых приложениях. Вот полное описание каждого элемента, который там отображается:
- **Имя.** У каждого разрешения есть уникальное имя, например `android.permission.INTERNET` несколько приложений могут запрашивать одно и то же разрешение.
- **Значок.** Каждое разрешение может иметь собственный значок. На других вкладках разрешений нет значков, поскольку они не содержат значков в манифесте приложения.
- **Описание.** Это необязательное поле описывает разрешения приложения. Если с разрешением не связано какое-либо описание, поле не отображается.
- **Флаги.** (Используют символ ⚑ или имя **уровня защиты**) Описывают различные флаги разрешений, такие как _обычное_, _разработка_, _опасное_, _мгновенное_, _предоставленное_, _отозванное_, _подпись_, _привилегированное_, и т. д.
- **Имя пакета.** Обозначает имя пакета, связанного с разрешением, т. е пакет, который определил разрешение.
- **Группа.** Имя группы, связанное с разрешением (если есть). Новые Android-устройства, похоже, не используют имена групп, поэтому вы обычно видите имя группы `android.permission-group.UNDEFINED` или вообще не видите.

## Вкладка «Подписи»
**Подписи** на самом деле называется информацией о подписи. Приложение подписывается одним или несколькими сертификатами разработчиками приложения перед его публикацией. Целостность приложения (независимо от того, принадлежит ли оно фактическому разработчику и не изменено ли оно другими людьми) можно проверить с помощью информации о подписи; если приложение изменено сторонним неавторизованным лицом, приложение не может быть снова подписано с использованием исходного сертификата(-ов), потому что информация о подписях остается конфиденциальной фактическим разработчиком. _Как вы проверяете эти подписи?_ Используя контрольные суммы. Контрольные суммы генерируются из самих сертификатов. Если разработчик предоставляет контрольные суммы, вы можете сопоставить контрольные суммы, используя разные контрольные суммы, сгенерированные во вкладке **Подписи**. Например, если вы загрузили App Manager с GitHub, канала Telegram или репозитория IzzyOnDroid, вы можете проверить, действительно ли приложение выпущено мной, просто сопоставив следующую контрольную сумму _sha256_ с тем, что отображается в этой вкладке:
```
320c0c0fe8cef873f2b554cb88c837f1512589dcced50c5b25c43c04596760ab
```

Здесь отображаются контрольные суммы трех типов: _md5_, _sha1_ и _sha256_.

::: danger Предупреждение
Рекомендуется проверять информацию о подписи, используя только контрольные суммы _sha256_ или все три из них. НЕ полагайтесь на контрольные суммы _md5_ или _sha1_ только потому, что они, как известно, генерируют одинаковые результаты для нескольких сертификатов.
:::

## Другие вкладки
На других вкладках перечислены компоненты манифеста Android, такие как функции, конфигурации, общие библиотеки и подписи. Полное описание этих вкладок будет скоро доступно.

[1]: ../tech/AppOps.md
[2]: ./adb-over-tcp.md
[3]: ./shared-pref-editor-page.md
[looper]: https://stackoverflow.com/questions/7597742
[settings_gcb]: ./settings.md#global-component-blocking
[faq_ac]: ../faq/app-components.md
[app_flags]: https://developer.android.com/reference/android/content/pm/ApplicationInfo#flags
[wiki_android_versions]: https://en.wikipedia.org/wiki/Android_version_history#Overview
[exodus_page]: ./exodus-page.md
[sai]: https://github.com/Aefyr/SAI
